[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TContainedAction.ReadState

Reads properties and child components for the class instance.

## Declaration

Source position: actnlist.pas line 41

`protected procedure TContainedAction.ReadState(`
`Reader: TReader`
`); override;`

## Arguments

`Reader` |  | TReader instance used to read values for the component.

## Description

ReadState is an overridden method in TContainedAction used to read values for the class instance during LCL component streaming. It calls the inherited method to read properties and child components using the specified TReader class instance. When the Parent in Reader is a TCustomActionList instance, it is stored in the ActionList property.

## See also

TContainedAction.ActionList |  | The ActionList where the action is stored, and its parent component.
TCustomActionList |  | TCustomActionList - the ancestor class for TActionList.
TComponent
TReader.Parent